# ce_startup – Manages a system startup information on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages a system startup information on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

action
-

Choices:
- display

Display the startup information.

cfg_file - | Default: "present" | Name of the configuration file that is applied for the next startup. The value is a string of 5 to 255 characters.
patch_file - |  | Name of the patch file that is applied for the next startup.
slot - |  | Position of the device.The value is a string of 1 to 32 characters. The possible value of slot is all, slave-board, or the specific slotID.
software_file - |  | File name of the system software that is applied for the next startup. The value is a string of 5 to 255 characters.

## Notes

Note

- Recommended connection is `network_cli`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: startup module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Display startup information
        ce_startup:
          action: display
          provider: "{{ cli }}"

      - name: Set startup patch file
        ce_startup:
          patch_file: 2.PAT
          slot: all
          provider: "{{ cli }}"

      - name: Set startup software file
        ce_startup:
          software_file: aa.cc
          slot: 1
          provider: "{{ cli }}"

      - name: Set startup cfg file
        ce_startup:
          cfg_file: 2.cfg
          slot: 1
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'StartupInfos': None}
existing dictionary | always | k/v pairs of existing aaa server Sample: {'configSysSoft': 'flash:/CE12800-V200R002C20_issuB071.cc', 'curentPatchFile': 'NULL', 'curentStartupFile': 'NULL', 'curentSysSoft': 'flash:/CE12800-V200R002C20_issuB071.cc', 'nextPatchFile': 'flash:/1.PAT', 'nextStartupFile': 'flash:/1.cfg', 'nextSysSoft': 'flash:/CE12800-V200R002C20_issuB071.cc', 'position': '5'}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'patch_file': '2.PAT', 'slot': 'all'}
updates list | always | command sent to the device Sample: {'startup patch 2.PAT all': None}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Li Yanfeng (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.